Bug 1124973 - Removing the use of embedded maven runtime
Summary: Removing the use of embedded maven runtime
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-m2e-core
Version: rawhide
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ---
Assignee: Gerard Ryan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1372669
TreeView+ depends on / blocked
 
Reported: 2014-07-30 18:48 UTC by Roland Grunberg
Modified: 2017-09-13 10:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:20:20 UTC


Attachments (Terms of Use)

Description Roland Grunberg 2014-07-30 18:48:59 UTC
Eclipse m2e has an embedded maven runtime (org.eclipse.m2e.maven.runtime) and is able to detect other maven runtimes (eg. /usr/share/maven ). Given that the embedded maven runtime is mainly a bundle that symlinks the system maven libraries, are these basically redundant ? We might even be able to get rid of the embedded runtime and replace it with code that automatically uses the system maven runtime, which is guaranteed to exist on Fedora when eclipse-m2e-core is installed.

I was looking back at Bug 1123042 and later discovered that I actually had Maven built in my local workspace, and the Maven Installations preference Page in Eclipse was detecting it. Switching to that version fixed the issue as well. If there's ever structural changes to the maven package itself, we wouldn't have to also make them with the symlinks in org.eclipse.m2e.maven.runtime.

With that said, it seems like m2e-core is using the embedded maven for certain functionality regardless of which maven installation is chosen but this would be a nice thing to do in the future, if possible.

Comment 1 Gerard Ryan 2014-08-01 22:29:25 UTC
Thanks for the info Roland, sounds like we should definitely try that!

Unfortunately I won't be able to look at it at all for some weeks, I'll be mostly afk. I'll try to look at it sometime though (or anyone else, feel free of course! ;))

Comment 2 Jaroslav Reznik 2015-03-03 16:10:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora End Of Life 2016-07-19 20:20:20 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Jan Kurik 2016-07-26 04:18:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.


Note You need to log in before you can comment on or make changes to this bug.